clang 10.0.0git

Public Types | Public Attributes | List of all members
clang::index::IndexingOptions Struct Reference

`#include "clang/Index/IndexingOptions.h"`

Collaboration diagram for clang::index::IndexingOptions:
[legend]

## Public Types
enum | SystemSymbolFilterKind { SystemSymbolFilterKind::None, SystemSymbolFilterKind::DeclarationsOnly, SystemSymbolFilterKind::All }

## Public Attributes
SystemSymbolFilterKind | SystemSymbolFilter
bool | IndexFunctionLocals = false
bool | IndexImplicitInstantiation = false
bool | IndexMacrosInPreprocessor = false
bool | IndexParametersInDeclarations = false
bool | IndexTemplateParameters = false

## Detailed Description

Definition at line 19 of file IndexingOptions.h.

## Member Enumeration Documentation

## ◆ SystemSymbolFilterKind

enum clang::index::IndexingOptions::SystemSymbolFilterKind
| strong

Enumerator
None |
DeclarationsOnly |
All |

Definition at line 20 of file IndexingOptions.h.

## Member Data Documentation

## ◆ IndexFunctionLocals

bool clang::index::IndexingOptions::IndexFunctionLocals = false

Definition at line 28 of file IndexingOptions.h.

Referenced by clang::index::IndexingContext::shouldIndexFunctionLocalSymbols().

## ◆ IndexImplicitInstantiation

bool clang::index::IndexingOptions::IndexImplicitInstantiation = false

Definition at line 29 of file IndexingOptions.h.

Referenced by clang::index::IndexingContext::shouldIndexImplicitInstantiation().

## ◆ IndexMacrosInPreprocessor

bool clang::index::IndexingOptions::IndexMacrosInPreprocessor = false

Definition at line 33 of file IndexingOptions.h.

Referenced by clang::index::indexASTUnit(), clang::index::indexModuleFile(), and clang::index::indexTopLevelDecls().

## ◆ IndexParametersInDeclarations

bool clang::index::IndexingOptions::IndexParametersInDeclarations = false

Definition at line 35 of file IndexingOptions.h.

Referenced by clang::index::IndexingContext::shouldIndexParametersInDeclarations().

## ◆ IndexTemplateParameters

bool clang::index::IndexingOptions::IndexTemplateParameters = false

Definition at line 36 of file IndexingOptions.h.

Referenced by clang::index::IndexingContext::shouldIndexTemplateParameters().

## ◆ SystemSymbolFilter

SystemSymbolFilterKind clang::index::IndexingOptions::SystemSymbolFilter

Initial value:
=
SystemSymbolFilterKind::DeclarationsOnly

Definition at line 26 of file IndexingOptions.h.

Referenced by clang::index::IndexingContext::importedModule(), and shouldReportOccurrenceForSystemDeclOnlyMode().

The documentation for this struct was generated from the following file:

- include/clang/Index/IndexingOptions.h